## php.java.bridge.http
Interface IContextServer

All Known Implementing Classes:
  PipeContextServer, SocketContextServer

    public interface IContextServer

The interface that all ContextServer must implement.

Author:
  jostb

Nested Class Summary
`static class` `IContextServer.Channel` Represents the pipe or socket channel.
`static class` `IContextServer.ChannelName` Represents the pipe or socket channel name.

Method Summary
`void` `destroy()` Destroy the server
`boolean` `isAvailable()` Check if the ContextServer is ready, i.e.
`boolean` `start(IContextServer.ChannelName channel)` Start the runner.

Method Detail

### destroy

    void destroy()

  Destroy the server

### isAvailable

    boolean isAvailable()

  Check if the ContextServer is ready, i.e. it has created a server socket.

  Returns:
    true if there's a server socket listening, false otherwise.

### start

    boolean start(IContextServer.ChannelName channel)

  Start the runner.

  Parameters:
    `channel` - The channel name